scala.tools.nsc.symtab.SymbolLoaders

# moduleClassLoader

###
Related Doc: package SymbolLoaders

#### object moduleClassLoader extends SymbolLoader with (symbolTable)#FlagAssigningCompleter

Source
  SymbolLoaders.scala

Linear Supertypes
(symbolTable)#FlagAssigningCompleter, SymbolLoader, (symbolTable)#SymLoader, (symbolTable)#LazyType, (symbolTable)#Type, (symbolTable)#Annotatable[(symbolTable)#Type], (symbolTable)#TypeApiImpl, (symbolTable)#TypeApi, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. moduleClassLoader
2. FlagAssigningCompleter
3. SymbolLoader
4. SymLoader
5. LazyType
6. Type
7. Annotatable
8. TypeApiImpl
9. TypeApi
10. AnyRef
11. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Type Members

1. #### class FilterMapForeach extends reflect.internal.SymbolTable.FilterTypeCollector

   Definition Classes
     Type

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def <:<(that: (symbolTable)#Type): Boolean

   Definition Classes
     Type → TypeApi

4. #### def =:=(that: (symbolTable)#Type): Boolean

   Definition Classes
     Type → TypeApi

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def addThrowsAnnotation(throwableSym: (symbolTable)#Symbol): (symbolTable)#Type

   Definition Classes
     Annotatable

7. #### def annotations: List[(symbolTable)#AnnotationInfo]

   Definition Classes
     Type → Annotatable

8. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

9. #### def asSeenFrom(pre: (symbolTable)#Type, clazz: (symbolTable)#Symbol): (symbolTable)#Type

   Definition Classes
     Type → TypeApi

10. #### def atOwner(owner: (symbolTable)#Symbol): (symbolTable)#Type

    Definition Classes
      Type

11. #### def baseClasses: List[(symbolTable)#Symbol]

    Definition Classes
      Type → TypeApi

12. #### def baseType(clazz: (symbolTable)#Symbol): (symbolTable)#Type

    Definition Classes
      Type → TypeApi

13. #### def baseTypeIndex(sym: (symbolTable)#Symbol): Int

    Definition Classes
      Type

14. #### def baseTypeSeq: (symbolTable)#BaseTypeSeq

    Definition Classes
      Type

15. #### def baseTypeSeqDepth: Depth

    Definition Classes
      Type

16. #### def betaReduce: (symbolTable)#Type

    Definition Classes
      Type

17. #### def boundSyms: Set[(symbolTable)#Symbol]

    Definition Classes
      Type

18. #### def bounds: (symbolTable)#TypeBounds

    Definition Classes
      Type

19. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

20. #### def cloneInfo(owner: (symbolTable)#Symbol): (symbolTable)#Type

    Definition Classes
      Type

21. #### def collect[T](pf: PartialFunction[(symbolTable)#Type, T]): List[T]

    Definition Classes
      Type

22. #### def companion: (symbolTable)#Type

    Definition Classes
      TypeApiImpl → TypeApi

23. #### def complete(root: (symbolTable)#Symbol): Unit

    Definition Classes
      SymbolLoader → LazyType → Type

24. #### def computeMemberType(sym: (symbolTable)#Symbol): (symbolTable)#Type

    Definition Classes
      Type

25. #### def contains(sym: (symbolTable)#Symbol): Boolean

    Definition Classes
      Type → TypeApi

26. #### def dealias: (symbolTable)#Type

    Definition Classes
      Type → TypeApi

27. #### def dealiasWiden: (symbolTable)#Type

    Definition Classes
      Type

28. #### def dealiasWidenChain: List[(symbolTable)#Type]

    Definition Classes
      Type

29. #### def decl(name: (symbolTable)#Name): (symbolTable)#Symbol

    Definition Classes
      Type → TypeApi

30. #### def declaration(name: (symbolTable)#Name): (symbolTable)#Symbol

    Definition Classes
      TypeApiImpl → TypeApi

31. #### def declarations: (symbolTable)#Scope

    Definition Classes
      TypeApiImpl → TypeApi

32. #### def decls: (symbolTable)#Scope

    Definition Classes
      Type → TypeApi

33. #### def deconst: (symbolTable)#Type

    Definition Classes
      Type

34. #### def deferredMembers: (symbolTable)#Scope

    Definition Classes
      Type

35. #### def description: String

    Description of the resource (ClassPath, AbstractFile) being processed by this loader

    Description of the resource (ClassPath, AbstractFile) being processed by this loader

    Attributes
      protected
    Definition Classes
      moduleClassLoader → SymbolLoader

36. #### def directObjectString: String

    Definition Classes
      Type

37. #### def doComplete(root: (symbolTable)#Symbol): Unit

    Load source or class file for `root`, return

    Load source or class file for `root`, return

    Attributes
      protected
    Definition Classes
      moduleClassLoader → SymbolLoader

38. #### def dummyArgs: List[(symbolTable)#Type]

    Attributes
      protected
    Definition Classes
      Type

39. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

40. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

41. #### def erasure: (symbolTable)#Type

    Definition Classes
      TypeApiImpl → TypeApi

42. #### def etaExpand: (symbolTable)#Type

    Definition Classes
      Type → TypeApi

43. #### def exists(p: ((symbolTable)#Type) ⇒ Boolean): Boolean

    Definition Classes
      Type → TypeApi

44. #### def filterAnnotations(p: ((symbolTable)#AnnotationInfo) ⇒ Boolean): (symbolTable)#Type

    Definition Classes
      Type → Annotatable

45. #### final def finalResultType: (symbolTable)#Type

    Definition Classes
      Type → TypeApi

46. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

47. #### def find(p: ((symbolTable)#Type) ⇒ Boolean): Option[(symbolTable)#Type]

    Definition Classes
      Type → TypeApi

48. #### def findMember(name: (symbolTable)#Name, excludedFlags: Long, requiredFlags: Long, stableOnly: Boolean): (symbolTable)#Symbol

    Definition Classes
      Type

49. #### def findMembers(excludedFlags: Long, requiredFlags: Long): (symbolTable)#Scope

    Definition Classes
      Type

50. #### def firstParent: (symbolTable)#Type

    Definition Classes
      Type

51. #### def foreach(f: ((symbolTable)#Type) ⇒ Unit): Unit

    Definition Classes
      Type → TypeApi

52. #### def fromSource: Boolean

    Definition Classes
      SymLoader

53. #### def getAnnotation(cls: (symbolTable)#Symbol): Option[(symbolTable)#AnnotationInfo]

    Definition Classes
      Annotatable

54. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

55. #### def hasAnnotation(cls: (symbolTable)#Symbol): Boolean

    Definition Classes
      Annotatable

56. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

57. #### def implicitMembers: (symbolTable)#Scope

    Definition Classes
      Type

58. #### def instantiateTypeParams(formals: List[(symbolTable)#Symbol], actuals: List[(symbolTable)#Type]): (symbolTable)#Type

    Definition Classes
      Type

59. #### def isComplete: Boolean

    Definition Classes
      LazyType → Type

60. #### def isDependentMethodType: Boolean

    Definition Classes
      Type

61. #### def isErroneous: Boolean

    Definition Classes
      Type

62. #### def isError: Boolean

    Definition Classes
      Type

63. #### def isFinalType: Boolean

    Definition Classes
      Type

64. #### def isGround: Boolean

    Definition Classes
      Type

65. #### def isHigherKinded: Boolean

    Definition Classes
      Type

66. #### def isImmediatelyDependent: Boolean

    Definition Classes
      Type

67. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

68. #### def isSpliceable: Boolean

    Definition Classes
      TypeApiImpl

69. #### final def isStable: Boolean

    Definition Classes
      Type

70. #### def isStructuralRefinement: Boolean

    Definition Classes
      Type

71. #### def isTrivial: Boolean

    Definition Classes
      Type

72. #### final def isVolatile: Boolean

    Definition Classes
      Type

73. #### def isWildcard: Boolean

    Definition Classes
      Type

74. #### def kind: String

    Definition Classes
      LazyType → Type

75. #### def load(root: (symbolTable)#Symbol): Unit

    Definition Classes
      SymbolLoader → Type

76. #### def looselyMatches(that: (symbolTable)#Type): Boolean

    Definition Classes
      Type

77. #### def map(f: ((symbolTable)#Type) ⇒ (symbolTable)#Type): (symbolTable)#Type

    Definition Classes
      Type → TypeApi

78. #### def matches(that: (symbolTable)#Type): Boolean

    Definition Classes
      Type

79. #### def matchesPattern(that: (symbolTable)#Type): Boolean

    Definition Classes
      Type

80. #### def member(name: (symbolTable)#Name): (symbolTable)#Symbol

    Definition Classes
      Type → TypeApi

81. #### def memberBasedOnName(name: (symbolTable)#Name, excludedFlags: Long): (symbolTable)#Symbol

    Definition Classes
      Type

82. #### def memberInfo(sym: (symbolTable)#Symbol): (symbolTable)#Type

    Definition Classes
      Type

83. #### def memberType(sym: (symbolTable)#Symbol): (symbolTable)#Type

    Definition Classes
      Type

84. #### def members: (symbolTable)#Scope

    Definition Classes
      Type → TypeApi

85. #### def membersBasedOnFlags(excludedFlags: Long, requiredFlags: Long): (symbolTable)#Scope

    Definition Classes
      Type

86. #### def narrow: (symbolTable)#Type

    Definition Classes
      Type

87. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

88. #### def nonLocalMember(name: (symbolTable)#Name): (symbolTable)#Symbol

    Definition Classes
      Type

89. #### def nonPrivateDecl(name: (symbolTable)#Name): (symbolTable)#Symbol

    Definition Classes
      Type

90. #### def nonPrivateDecls: List[(symbolTable)#Symbol]

    Definition Classes
      Type

91. #### def nonPrivateMember(name: (symbolTable)#Name): (symbolTable)#Symbol

    Definition Classes
      Type

92. #### def nonPrivateMemberAdmitting(name: (symbolTable)#Name, admit: Long): (symbolTable)#Symbol

    Definition Classes
      Type

93. #### def nonPrivateMembers: (symbolTable)#Scope

    Definition Classes
      Type

94. #### def nonPrivateMembersAdmitting(admit: Long): (symbolTable)#Scope

    Definition Classes
      Type

95. #### def normalize: (symbolTable)#Type

    Definition Classes
      Type → TypeApi

96. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

97. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

98. #### def objectPrefix: String

    Attributes
      protected
    Definition Classes
      Type

99. #### final def orElse(alt: ⇒ (symbolTable)#Type): (symbolTable)#Type

    Definition Classes
      Type → TypeApi
    Annotations
      @inline()

100. #### def packagePrefix: String

     Attributes
       protected
     Definition Classes
       Type

101. #### def paramLists: List[List[(symbolTable)#Symbol]]

     Definition Classes
       TypeApiImpl → TypeApi

102. #### def paramSectionCount: Int

     Definition Classes
       Type

103. #### def paramTypes: List[(symbolTable)#Type]

     Definition Classes
       Type

104. #### def params: List[(symbolTable)#Symbol]

     Definition Classes
       Type

105. #### def paramss: List[List[(symbolTable)#Symbol]]

     Definition Classes
       Type → TypeApi

106. #### def parents: List[(symbolTable)#Type]

     Definition Classes
       Type

107. #### def prefix: (symbolTable)#Type

     Definition Classes
       Type

108. #### def prefixChain: List[(symbolTable)#Type]

     Definition Classes
       Type

109. #### def prefixString: String

     Definition Classes
       Type

110. #### def removeAnnotation(cls: (symbolTable)#Symbol): (symbolTable)#Type

     Definition Classes
       Annotatable

111. #### def resultApprox: (symbolTable)#Type

     Definition Classes
       Type

112. #### def resultType(actuals: List[(symbolTable)#Type]): (symbolTable)#Type

     Definition Classes
       Type

113. #### def resultType: (symbolTable)#Type

     Definition Classes
       Type → TypeApi

114. #### def safeToString: String

     Definition Classes
       LazyType → Type

115. #### def setAnnotations(annots: List[(symbolTable)#AnnotationInfo]): (symbolTable)#Type

     Definition Classes
       Type → Annotatable

116. #### def skolemizeExistential: (symbolTable)#Type

     Definition Classes
       Type

117. #### def skolemizeExistential(owner: (symbolTable)#Symbol, origin: AnyRef): (symbolTable)#Type

     Definition Classes
       Type

118. #### def skolemsExceptMethodTypeParams: List[(symbolTable)#Symbol]

     Definition Classes
       Type

119. #### def sourcefile: Option[AbstractFile]

     Definition Classes
       SymbolLoader

120. #### def stat_<:<(that: (symbolTable)#Type): Boolean

     Definition Classes
       Type

121. #### def staticAnnotations: collection.immutable.List[(symbolTable)#AnnotationInfo]

     Definition Classes
       Annotatable

122. #### def subst(from: List[(symbolTable)#Symbol], to: List[(symbolTable)#Type]): (symbolTable)#Type

     Definition Classes
       Type

123. #### def substSym(from: List[(symbolTable)#Symbol], to: List[(symbolTable)#Symbol]): (symbolTable)#Type

     Definition Classes
       Type

124. #### def substThis(from: (symbolTable)#Symbol, to: (symbolTable)#Symbol): (symbolTable)#Type

     Definition Classes
       Type

125. #### def substThis(from: (symbolTable)#Symbol, to: (symbolTable)#Type): (symbolTable)#Type

     Definition Classes
       Type

126. #### def substThisAndSym(from: (symbolTable)#Symbol, to: (symbolTable)#Type, symsFrom: List[(symbolTable)#Symbol], symsTo: List[(symbolTable)#Symbol]): (symbolTable)#Type

     Definition Classes
       Type

127. #### def substituteSymbols(from: List[(symbolTable)#Symbol], to: List[(symbolTable)#Symbol]): (symbolTable)#Type

     Definition Classes
       TypeApiImpl → TypeApi

128. #### def substituteTypes(from: List[(symbolTable)#Symbol], to: List[(symbolTable)#Type]): (symbolTable)#Type

     Definition Classes
       TypeApiImpl → TypeApi

129. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

130. #### def takesTypeArgs: Boolean

     Definition Classes
       Type → TypeApi

131. #### def termSymbol: (symbolTable)#Symbol

     Definition Classes
       Type → TypeApi

132. #### def termSymbolDirect: (symbolTable)#Symbol

     Definition Classes
       Type

133. #### def throwsAnnotations(): List[(symbolTable)#Symbol]

     Definition Classes
       Annotatable

134. #### def toLongString: String

     Definition Classes
       Type

135. #### final def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Type → AnyRef → Any

136. #### def trimPrefix(str: String): String

     Definition Classes
       Type

137. #### def typeArgs: List[(symbolTable)#Type]

     Definition Classes
       Type → TypeApi

138. #### def typeArguments: List[(symbolTable)#Type]

     Definition Classes
       TypeApiImpl

139. #### def typeConstructor: (symbolTable)#Type

     Definition Classes
       Type → TypeApi

140. #### def typeOfThis: (symbolTable)#Type

     Definition Classes
       Type

141. #### def typeParams: List[(symbolTable)#Symbol]

     Definition Classes
       Type → TypeApi

142. #### def typeSymbol: (symbolTable)#Symbol

     Definition Classes
       Type → TypeApi

143. #### def typeSymbolDirect: (symbolTable)#Symbol

     Definition Classes
       Type

144. #### def underlying: (symbolTable)#Type

     Definition Classes
       Type

145. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

146. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

147. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

148. #### def weak_<:<(that: (symbolTable)#Type): Boolean

     Definition Classes
       Type → TypeApi

149. #### def widen: (symbolTable)#Type

     Definition Classes
       Type → TypeApi

150. #### final def withAnnotation(annot: (symbolTable)#AnnotationInfo): (symbolTable)#Type

     Definition Classes
       Annotatable

151. #### def withAnnotations(annots: List[(symbolTable)#AnnotationInfo]): (symbolTable)#Type

     Definition Classes
       Type → Annotatable

152. #### def withFilter(p: ((symbolTable)#Type) ⇒ Boolean): FilterMapForeach

     Definition Classes
       Type

153. #### def withoutAnnotations: (symbolTable)#Type

     Definition Classes
       Type → Annotatable

### Inherited from (symbolTable)#FlagAssigningCompleter

### Inherited from SymbolLoader

### Inherited from (symbolTable)#SymLoader

### Inherited from (symbolTable)#LazyType

### Inherited from (symbolTable)#Type

### Inherited from (symbolTable)#Annotatable[(symbolTable)#Type]

### Inherited from (symbolTable)#TypeApiImpl

### Inherited from (symbolTable)#TypeApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped